DISKLABEL_SCAN(3)

NAME
disklabel_scan - scan a buffer for a valid disklabel

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
disklabel_scan(struct disklabel *lp, char *buf, size_t buflen);

DESCRIPTION
disklabel_scan() scans the memory region specified by buf and buflen for a valid disklabel. If such a label is found, it is copied into lp.

RETURN VALUES
The disklabel_scan() function returns 0 if a valid disklabel was found and 1 if not.

HISTORY
The disklabel_scan function call appeared in NetBSD 2.0.